Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 684 - dump/restore setuid root
Summary: dump/restore setuid root
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dump
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-04 20:50 UTC by Alan Crosswell
Modified: 2011-03-28 15:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-20 17:31:50 UTC


Attachments (Terms of Use)

Description Alan Crosswell 1999-01-04 20:50:38 UTC
Isn't setuid root dump/restore a security hole?  Setuid dump
allows any user on your system to read the contents of any
file.  Setuid restore allows one to replace any file.
Unless the programs do some sanity checking.  Even if they
do, there's no reason for them to be setuid.

bash$ rpm -qilv dump | egrep
sbin/dump\|sbin/restore\|Version\|Release
Version     : 0.3                               Vendor: Red
Hat Software
Release     : 14                            Build Date: Tue
Jul 14 17:58:11 1998
-rwsr-sr-x     root     root      36644 Jul 14 17:58
/sbin/dump
-rwsr-sr-x     root     root      56732 Jul 14 17:58
/sbin/restore

Comment 1 David Lawrence 1999-01-04 21:00:59 UTC
I have verified that the dump and restore binaries are setuid and
therefor am assigning this to a developer for further review.

Comment 2 Jeff Johnson 1999-01-20 17:31:59 UTC
The dump/restore binaries need to be setuid root in
order to communicate to a remote host. Immediately
after parsing arguments and (possibly) establishing
the connection to the remote host, the uid is reverted
to the invoking user.

There was another minor problem, however. The group on
dump/restore should have been tty, not root. This has been
fixed in dump-0.3-16.


Note You need to log in before you can comment on or make changes to this bug.